{% load humanize %}
{% load forum_tags %}

{% if post.author.id != post.lastedit_user.id %}


    {% if  post.lastedit_user.profile.is_valid %}
        updated {{ post.lastedit_date|time_ago }} by

        <a itemprop="author" itemscope itemtype="https://schema.org/Person"
           href="{% url "user_profile" post.lastedit_user.profile.uid %}">
            <span itemprop="name">{{ post.lastedit_user.profile.name|truncatechars:50 }}</span>
        </a>

        {% user_icon user=post.lastedit_user %}

        &bull;
    {% endif %}


        written {{ post.creation_date|time_ago }} by
        {% if post.anon %}
          Anonymous
        {% else %}
          <a itemprop="author" itemscope itemtype="https://schema.org/Person"
             href="{% url "user_profile" post.author.profile.uid %}">
              <span itemprop="name">{{ post.author.profile.name|truncatechars:40 }}</span>
          </a>

          {% user_icon user=post.author %}
        {%endif%}


{% elif post %}

    <span>
    {% block date %}
        {{ post.lastedit_date|time_ago }} by
    {% endblock %}
    {% if post.anon %}
      Anonymous
    {% else %}
      <a href="{% url "user_profile" post.lastedit_user.profile.uid %}">
          {{ post.lastedit_user.profile.name|truncatechars:40 }}
      </a>

      {% user_icon user=post.lastedit_user %}
    </span>
    {% endif %}


{% endif %}
